## xymon 4.3.25

=== xymongen/Makefile ===
# Makefile for xymongen
#

PROGRAMS = xymongen
GENOBJS = xymongen.o loadlayout.o loaddata.o pagegen.o process.o wmlgen.o rssgen.o util.o debug.o csvreport.o

XYMONLIB = ../lib/libxymon.a
XYMONLIBS = $(XYMONLIB)
XYMONCOMMLIB = ../lib/libxymoncomm.a
XYMONCOMMLIBS = $(XYMONCOMMLIB) $(ZLIBLIBS) $(SSLLIBS) $(NETLIBS) $(LIBRTDEF)
XYMONTIMELIB = ../lib/libxymontime.a
XYMONTIMELIBS = $(XYMONTIMELIB) $(LIBRTDEF)

all: $(PROGRAMS)

xymongen: $(GENOBJS) $(XYMONTIMELIB) $(XYMONCOMMLIB)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(GENOBJS) $(XYMONTIMELIBS) $(XYMONCOMMLIBS) $(PCRELIBS)


################################################
# Default compilation rules
################################################
%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *.o *.a *~ $(PROGRAMS)


install: install-bin install-man

install-bin: $(PROGRAMS)
ifndef PKGBUILD
	chown $(XYMONUSER) $(PROGRAMS)
	chgrp `$(IDTOOL) -g $(XYMONUSER)` $(PROGRAMS)
	chmod 755 $(PROGRAMS) 
endif
	cp -fp $(PROGRAMS) $(INSTALLROOT)$(INSTALLBINDIR)/

install-man:
ifndef PKGBUILD
	chown $(XYMONUSER) *.1
	chgrp `$(IDTOOL) -g $(XYMONUSER)` *.1
	chmod 644 *.1
endif
	mkdir -p $(INSTALLROOT)$(MANROOT)/man1
ifndef PKGBUILD
	chown $(XYMONUSER) $(INSTALLROOT)$(MANROOT)/man1
	chgrp `$(IDTOOL) -g $(XYMONUSER)` $(INSTALLROOT)$(MANROOT)/man1
	chmod 755 $(INSTALLROOT)$(MANROOT)/man1
endif
	cp -fp *.1 $(INSTALLROOT)$(MANROOT)/man1/

=== debian/changelog ===
xymon (4.3.25-1) unstable; urgency=medium

  [ Axel Beckert ]
  * New upstream version.
    + Drop cherry-picked 81_confreport-segfault.patch.
    + Refresh patches where necessary.
  * Enable all hardening flags.
  * Switch Vcs-* to HTTPS.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Feb 2016 19:06:30 +0100

xymon (4.3.24-2) unstable; urgency=medium

  * Add upstream patch against segfault in confreport.cgi

 -- Axel Beckert <abe@debian.org>  Fri, 11 Dec 2015 18:13:01 +0100

xymon (4.3.24-1) unstable; urgency=medium

  * New upstream release.
    + Refresh 75_fix_spelling_errors.patch and
      78_fix_manpage_syntax_errors.patch

 -- Axel Beckert <abe@debian.org>  Fri, 27 Nov 2015 18:25:28 +0100

xymon (4.3.23-1) unstable; urgency=medium

  * New upstream release
    + Drop cherry-picked 25_fix_4.3.22_process_graph_regression.patch.
    + Refresh 78_fix_manpage_syntax_errors.patch.
  * Add a debian-specific README.encryption.

 -- Axel Beckert <abe@debian.org>  Mon, 16 Nov 2015 20:49:51 +0100

xymon (4.3.22-2) unstable; urgency=high

  * Cherry-pick patch from upstream to fix TRACK/OPTIONAL analysis.cfg
    tags no more being honored. (Regression from 4.3.21)

 -- Axel Beckert <abe@debian.org>  Thu, 12 Nov 2015 18:17:49 +0100

=== debian/control ===
Source: xymon
Section: net
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-apache2,
               dpkg-dev (>= 1.16.1~),
               imagemagick,
               libc-ares-dev,
               libldap2-dev (>= 2.4.25-2~),
               libpcre3-dev (>= 8.12-4~),
               librrd-dev,
               libssl-dev (>= 1.0.2d-2~),
               po-debconf,
               procps
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xymon.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xymon.git
Homepage: http://xymon.sourceforge.net/

Package: xymon
Architecture: any
Breaks: hobbit (<< 4.2.2),
        hobbit-plugins (<< 20120619)
Provides: hobbit
Replaces: hobbit (<< 4.2.2)
Pre-Depends: ${misc:Pre-Depends}
Depends: xymon-client (>= 4.3.7-1~),
# The dependency on perl is only for prename in postinst script
         perl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd-cgi
Suggests: rrdtool
Description: monitoring system for systems, networks and applications
 Xymon (previously called Hobbit) is a network- and applications-
 monitoring system designed for use in large-scale networks. But it will
 also work just fine on a small network with just a few nodes. It is
 low-overhead and high-performance, with an easy to use web front-end.
 .
 Network services are monitored remotely. Machine health and
 statistics are monitored through a locally installed client package
 (xymon-client). Additional (remote as well as local) checks are
 available in the package hobbit-plugins.
 .
 Alerts can trigger when monitoring detects a problem, resulting in
 e-mails or calls to your pager or mobile phone.
 .
 Xymon has a great deal of inspiration from the non-free Big Brother
 package, but does not include any Big Brother code.

Package: xymon-client
Architecture: any
Breaks: hobbit (<= 4.2.0-1),
        hobbit-client (<< 4.2.2),
        hobbit-plugins (<< 20140519~),
        xymon (<< 4.3.7-1~)
Provides: hobbit-client
Replaces: hobbit-client (<< 4.2.2)
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: adduser,
         lsb-base,
         procps,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xymon-plugins | hobbit-plugins
Description: client for the Xymon network monitor
 Client data collection package for Xymon (previously known as Hobbit).
 .
 This gathers statistics and data from a single system and reports it to
 the Xymon monitor. You should install this package on all systems if you
 have a Xymon server running.
 .
 Additional checks are available in the package hobbit-plugins.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

Makefile: configure
	dh_testdir
	# Add here commands to configure the package.
	USEXYMONPING=y \
	ENABLESSL=y \
	ENABLELDAP=y \
	ENABLELDAPSSL=y \
	XYMONUSER=xymon \
	XYMONTOPDIR=/usr/lib/xymon \
	XYMONVAR=/var/lib/xymon \
	XYMONHOSTURL=/xymon \
	CGIDIR=/usr/lib/xymon/cgi-bin \
	XYMONCGIURL=/xymon-cgi \
	SECURECGIDIR=/usr/lib/xymon/cgi-secure \
	SECUREXYMONCGIURL=/xymon-seccgi \
	HTTPDGID=www-data \
	XYMONLOGDIR=/var/log/xymon \
	XYMONHOSTNAME=localhost \
	XYMONHOSTIP=127.0.0.1 \
	MANROOT=/usr/share/man \
	INSTALLBINDIR=/usr/lib/xymon/server/bin \
	INSTALLETCDIR=/etc/xymon \
	INSTALLWEBDIR=/etc/xymon/web \
	INSTALLEXTDIR=/usr/lib/xymon/server/ext \
	INSTALLTMPDIR=/var/lib/xymon/tmp \
	INSTALLWWWDIR=/var/lib/xymon/www \
	./configure --server \
	--pcrelib $(shell pcre-config --libs) \
	--ssllib /usr/lib/$(DEB_HOST_MULTIARCH) \
	--ldaplib /usr/lib/$(DEB_HOST_MULTIARCH)

build-indep:

build build-arch: build-stamp
build-stamp: Makefile
	dh_testdir

	# Parallel building does not work as of 4.3.0~beta2
	CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" PKGBUILD=1 $(MAKE) MAKEFLAGS=-j1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_auto_clean
	dh_clean 
	debconf-updatepo

S=$(CURDIR)/debian/xymon
C=$(CURDIR)/debian/xymon-client

install-clean:
	dh_prep

install: install-server install-client
install-server: build install-clean
	#################### Installing server ########################
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installdirs -a
	CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" PKGBUILD=1 INSTALLROOT=$S/ $(MAKE) install
	# Static content in /usr/share
	cd $S/var/lib/xymon/www && \
		mv gifs ../../../../usr/share/xymon && ln -s ../../../../usr/share/xymon/gifs . && \
		mv help ../../../../usr/share/xymon && ln -s ../../../../usr/share/xymon/help .
	# Create static gifs
	cd $S/usr/share/xymon/gifs && mkdir static && \
		for gif in *.gif ; do \
			convert "$$gif[0]" xpm:- | convert xpm:- static/$$gif || exit 1 ; \
		done && \
		cd static && ln -s ../*.ico ../*.css .
	# We depend on the -client package
	rm -rf $S/usr/lib/xymon/client
	# This needs root
	chmod 4755 $S/usr/lib/xymon/server/bin/xymonping
	# Apache 2.4 style stuff
	mkdir -p debian/tmp
	mv $S/etc/xymon/xymon-apache.conf debian/tmp/xymon.conf
	dh_apache2
	# We use a modified version of this as /etc/init.d/xymon
	rm $S/usr/lib/xymon/server/xymon.sh
	# Autogenerated on first install
	rm $S/etc/xymon/hosts.cfg
	# Fix permissions in /var/lib/xymon (dh_fixperms ignores /var)
	chmod a-x $S/var/lib/xymon/www/menu/*.gif $S/var/lib/xymon/www/menu/*.css

install-client: build install-clean
	#################### Installing client ########################
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installdirs -a
	CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" PKGBUILD=1 INSTALLROOT=$C/ $(MAKE) install-client
	cd $C/usr/lib/xymon/client && mv etc/* $C/etc/xymon && rmdir etc && ln -s ../../../../etc/xymon etc
	cd $C/usr/lib/xymon/client && rmdir logs && ln -s ../../../../var/log/xymon logs
	cd $C/usr/lib/xymon/client && rmdir tmp && ln -s ../../../../var/lib/xymon/tmp
	# the only command needed in /usr/bin is xymoncmd, its PATH includes our private .../bin
	cd $C/usr/bin && ln -s ../lib/xymon/client/bin/xymoncmd xymoncmd
	cp debian/xymon-client.default.template $C/usr/share/xymon/xymon-client.default.template
ifneq (,$(findstring kfreebsd,$(shell dpkg --print-architecture)))
	# kfreebsd support
	install -m644 debian/kfreebsd.cfg $C/etc/xymon/xymonclient.d/kfreebsd.cfg
else
	# no kfreebsd support
endif

binary-indep:

binary binary-arch: build install-server install-client
	#################### Building .deb files ########################
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_lintian -a
	# move some files into the client package
	dh_movefiles --sourcedir=debian/xymon -a
	set -e; cd $S/usr/lib/xymon/server/bin && \
		for f in * ; do \
			if [ -f $C/usr/lib/xymon/client/bin/$$f ] ; then \
				rm -v $$f ; ln -s ../../client/bin/$$f ; \
			fi \
		done
	rmdir $S/usr/share/man/man7
	dh_installdebconf -a
	dh_installlogrotate -a
	dh_installinit -a -- defaults 98 02
	dh_installman -a
	#cd $C/usr/share/man/man1 && mv bb.1 xymon.1
	#cd $C/usr/share/man/man8 && ln -s ../man1/xymon.1 bb.8
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a -Xbin/xymonping
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: build clean binary-indep binary-arch binary install install-server install-client

=== debian/watch ===
version=3
options="dversionmangle=s/\.dfsg$//,uversionmangle=s/-(pre|rc|beta|alpha)/~$1/i" \
http://sf.net/xymon/xymon-([0-9][-.a-zA-Z0-9]{0,10}).tar.gz

## xymon 4.3.27

=== debian/changelog ===
xymon (4.3.27-1build1) yakkety; urgency=medium

  * No-change rebuild for librrd soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:47:09 +0000

xymon (4.3.27-1) unstable; urgency=medium

  * New upstream release
    + Drop 72_disable_SSLv3.patch (a compile-time check for SSLv3 support
      was added) and 81_cgifix.patch (was cherry-picked from upstream)
    + Refresh 39_kfreebsd-makefile.patch and
      78_fix_manpage_syntax_errors.patch
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 21 Apr 2016 15:59:42 +0200

xymon (4.3.26-2) unstable; urgency=high

  * Apply upstream-suggested patch for multiple CGI related regressions in
    4.3.26.

 -- Axel Beckert <abe@debian.org>  Fri, 04 Mar 2016 16:01:20 +0100

xymon (4.3.26-1) unstable; urgency=medium

  * New upstream release
    + Refresh patches.
  * Declare compliance with Debian Policy 3.9.7. (No changes needed.)
  * Convert debian/copyright to the machine-readable DEP-5 format
    + Add lintian overrides where upstream didn't specify a GPL version.
  * Update copyright years and some paths in debian/copyright.
  * Add CVE-IDs to previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Fri, 26 Feb 2016 19:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libssl-dev (>= 1.0.2d-2~),
                po-debconf,
                procps
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xymon.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xymon.git
 Homepage: http://xymon.sourceforge.net/

## xymon 4.3.28

=== docs/Makefile ===
all:
	cat xymon-tips.html.DIST | sed -e 's!@XYMONHOSTURL@!$(XYMONHOSTURL)!g' >xymon-tips.html

clean:
	rm -f xymon-tips.html *~

install:
	mkdir -p $(INSTALLROOT)$(INSTALLWWWDIR)/help/manpages
	cd manpages; tar cf - . | (cd $(INSTALLROOT)$(INSTALLWWWDIR)/help/manpages; tar xf -)
	cp -f *html *txt *png *jpg $(INSTALLROOT)$(INSTALLWWWDIR)/help/; rm -f $(INSTALLROOT)$(INSTALLWWWDIR)/help/man-index.html
	cp -f man-index.html $(INSTALLROOT)$(INSTALLWWWDIR)/help/manpages/index.html
ifndef PKGBUILD
	chown -R $(XYMONUSER) $(INSTALLROOT)$(INSTALLWWWDIR)/help
	chgrp -R `$(IDTOOL) -g $(XYMONUSER)` $(INSTALLROOT)$(INSTALLWWWDIR)/help
	# These may fail if no files installed
	(find $(INSTALLROOT)$(INSTALLWWWDIR)/help/ -type d | xargs chmod 755 ) || /bin/true
	(find $(INSTALLROOT)$(INSTALLWWWDIR)/help/ -type f | xargs chmod 644 ) || /bin/true
endif

=== lib/Makefile ===
# Xymon library Makefile
#

XYMONLIBOBJS = osdefs.o acklog.o availability.o calc.o cgi.o cgiurls.o clientlocal.o color.o crondate.o digest.o encoding.o environ.o errormsg.o eventlog.o files.o headfoot.o xymonrrd.o holidays.o htmllog.o ipaccess.o loadalerts.o loadcriticalconf.o links.o matching.o md5.o memory.o misc.o msort.o netservices.o notifylog.o acknowledgementslog.o readmib.o reportlog.o rmd160c.o sha1.o sha2.o sig.o stackio.o strfunc.o suid.o timefunc.o tree.o url.o webaccess.o

XYMONCOMMLIBOBJS = $(XYMONLIBOBJS) loadhosts.o locator.o sendmsg.o xymond_ipc.o xymond_buffer.o
XYMONTIMELIBOBJS = run.o timing.o

CLIENTLIBOBJS = osdefs.o cgiurls.o color-client.o crondate.o digest.o encoding.o environ-client.o errormsg.o holidays.o ipaccess.o md5.o memory.o misc.o msort.o rmd160c.o sha1.o sha2.o sig.o stackio.o strfunc.o suid.o timefunc-client.o tree.o
ifeq ($(LOCALCLIENT),yes)
	CLIENTLIBOBJS += matching.o
endif
XYMONCLIENTCOMMLIBOBJS = locator.o loadhosts.o sendmsg.o xymond_ipc.o xymond_buffer.o

XYMONCLIENTLIB = libxymonclient.a
XYMONCLIENTLIBS = $(XYMONCLIENTLIB)
XYMONCLIENTCOMMLIB = libxymonclientcomm.a
XYMONCLIENTCOMMLIBS = $(XYMONCLIENTCOMMLIB) $(ZLIBLIBS) $(XYMONCLIENTLIB) $(SSLLIBS) $(NETLIBS) $(LIBRTDEF)

XYMONLIB = libxymon.a
XYMONLIBS = $(XYMONLIB)
XYMONCOMMLIB = libxymoncomm.a
XYMONCOMMLIBS = $(XYMONCOMMLIB) $(ZLIBLIBS) $(SSLLIBS) $(NETLIBS) $(LIBRTDEF)
XYMONTIMELIB = libxymontime.a
XYMONTIMELIBS = $(XYMONTIMELIB) $(LIBRTDEF)


CFLAGS += -I../include 

all: test-endianness $(XYMONLIB) $(XYMONCOMMLIB) $(XYMONTIMELIB) $(XYMONCLIENTCOMMLIB) $(XYMONCLIENTLIB) loadhosts stackio availability md5 sha1 rmd160 locator tree

client: test-endianness $(XYMONCLIENTLIB) $(XYMONCLIENTCOMMLIB) $(XYMONTIMELIB)

test-endianness: test-endianness.c
	$(CC) $(CFLAGS) -o $@ $<

$(XYMONLIB): $(XYMONLIBOBJS)
	ar cr $(XYMONLIB) $(XYMONLIBOBJS)
	ranlib $(XYMONLIB) || echo ""

$(XYMONCOMMLIB): $(XYMONCOMMLIBOBJS)
	ar cr $(XYMONCOMMLIB) $(XYMONCOMMLIBOBJS)
	ranlib $(XYMONCOMMLIB) || echo ""

$(XYMONTIMELIB): $(XYMONTIMELIBOBJS)
	ar cr $(XYMONTIMELIB) $(XYMONTIMELIBOBJS)
	ranlib $(XYMONTIMELIB) || echo ""

$(XYMONCLIENTLIB): $(CLIENTLIBOBJS)
	ar cr $(XYMONCLIENTLIB) $(CLIENTLIBOBJS)
	ranlib $(XYMONCLIENTLIB) || echo ""

$(XYMONCLIENTCOMMLIB): $(XYMONCLIENTCOMMLIBOBJS)
	ar cr $(XYMONCLIENTCOMMLIB) $(XYMONCLIENTCOMMLIBOBJS)
	ranlib $(XYMONCLIENTCOMMLIB) || echo ""

loadhosts.o: loadhosts.c loadhosts_file.c loadhosts_net.c
	$(CC) $(CFLAGS) -c -o $@ loadhosts.c

eventlog.o: eventlog.c
	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<

notifylog.o: notifylog.c
	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<

acknowledgementslog.o: acknowledgementslog.c
	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<

headfoot.o: headfoot.c
	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<

loadalerts.o: loadalerts.c
	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<

matching.o: matching.c
	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<

sha1.o: sha1.c
	$(CC) $(CFLAGS) `./test-endianness` -c -o $@ $<

rmd160c.o: rmd160c.c
	$(CC) $(CFLAGS) `./test-endianness` -c -o $@ $<

environ.o: environ.c
	$(CC) $(CFLAGS) -DXYMONTOPDIR=\"$(XYMONTOPDIR)\" -DXYMONLOGDIR=\"$(XYMONLOGDIR)\" -DXYMONHOSTNAME=\"$(XYMONHOSTNAME)\" -DXYMONHOSTIP=\"$(XYMONHOSTIP)\" -DXYMONHOSTOS=\"$(XYMONHOSTOS)\" -DXYMONHOME=\"$(XYMONHOME)\" -c -o $@ environ.c

environ-client.o: environ.c
	$(CC) $(CFLAGS) -DXYMONTOPDIR=\"$(XYMONTOPDIR)\" -DXYMONLOGDIR=\"$(XYMONLOGDIR)\" -DXYMONHOSTNAME=\"$(XYMONHOSTNAME)\" -DXYMONHOSTIP=\"$(XYMONHOSTIP)\" -DXYMONHOSTOS=\"$(XYMONHOSTOS)\" -DXYMONHOME=\"$(XYMONCLIENTHOME)\" -c -o $@ environ.c

color-client.o: color.c
	$(CC) $(CFLAGS) -DCLIENTONLY -c -o $@ $<

timefunc-client.o: timefunc.c
	$(CC) $(CFLAGS) -DCLIENTONLY -c -o $@ $<

loadhosts: loadhosts.c loadhosts_file.c loadhosts_net.c $(XYMONCOMMLIB)
	$(CC) $(CFLAGS) -DSTANDALONE -o $@ loadhosts.c $(XYMONCOMMLIBS)

stackio: stackio.c libxymon.a
	$(CC) $(CFLAGS) -DSTANDALONE -o $@ stackio.c $(XYMONLIBS)

availability: availability.c libxymon.a
	$(CC) $(CFLAGS) -DSTANDALONE -o $@ availability.c $(XYMONLIBS)

md5: md5.c
	$(CC) $(CFLAGS) -DSTANDALONE `./test-endianness` -o $@ md5.c

sha1: sha1.c
	$(CC) $(CFLAGS) -DSTANDALONE `./test-endianness` -o $@ sha1.c

rmd160: rmd160c.c
	$(CC) $(CFLAGS) -DSTANDALONE `./test-endianness` -o $@ rmd160c.c

locator: locator.c
	$(CC) $(CFLAGS) -DSTANDALONE -o $@ locator.c $(XYMONCOMMLIBS) $(XYMONLIBS)

tree: tree.c
	$(CC) $(CFLAGS) -DSTANDALONE -o $@ tree.c

clean:
	rm -f *.o *.a *~ loadhosts stackio availability test-endianness md5 sha1 rmd160 locator tree

=== debian/changelog ===
xymon (4.3.28-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:56:02 +0000

xymon (4.3.28-3) unstable; urgency=medium

  * Switch from prename/perl to file-rename/rename in
    debian/xymon.postinst and debian/control.
  * Downgrade rename usage to Suggests as the migration from "hobbit" to
    "xymon" in path names won't show up in normal setups and is guarded by
    an existence check.
  * Declare compliance with Debian Policy 4.1.3.
    + Switch debian/copyright DEP5 format URL to HTTPS.
    + Change Priority to optional.
  * Drop several spelling-error-in-binary lintian-overrides. (No more
    emitted.)
  * Remove trailing whitespace from debian/rules.
  * Set "Rules-Requires-Root: no".
  * Change debian/rules to the minimal "dh $@" style.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
    + Drop MAKEFLAGS=-j1 from debian/rules, parallel building seems to
      work now.
  * Fix lintian warning command-with-path-in-maintainer-script by using
    "if which …" instead of "if [ -x /usr/bin/…".
  * Fix FTBFS with glibc 2.26 by adding "#include <stdint.h>" to
    client/logfetch.c. (Closes: #887633)
  * Update lintian overrides of apache2-deprecated-auth-config for
    additional parameter. Merge them into one override with wildcard for
    the Apache directive.

 -- Axel Beckert <abe@debian.org>  Fri, 19 Jan 2018 02:45:18 +0100

xymon (4.3.28-2) unstable; urgency=low

  * xymon-client: Add dependency on net-tools. (Closes: #856315)

 -- Axel Beckert <abe@debian.org>  Fri, 03 Mar 2017 23:18:20 +0100

xymon (4.3.28-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Import new upstream release.
    + Drop 87_fix_4.3.28rc2_regression.patch, applied upstream.
    + Fixes summary reports (from other Xymon servers back to a central
      one).
  * Enforce non-parallel building by setting MAKEFLAGS=-j1 globally.

  [ Takuma Yamada ]
  * Update Japanese debconf templates translation. (Closes: #815530)

 -- Axel Beckert <abe@debian.org>  Fri, 20 Jan 2017 02:14:35 +0100

xymon (4.3.28~rc2-1) experimental; urgency=low

  * New upstream release candidate 4.3.28~rc2
    + Drop patches 15_hobbitgraph.netstat, 75_fix_spelling_errors and
      78_fix_manpage_syntax_errors, applied upstream.
    + Add patch to fix preprocessor syntax error in xymonnet/contest.c.

 -- Axel Beckert <abe@debian.org>  Fri, 06 Jan 2017 22:57:35 +0100

xymon (4.3.28~rc1-1) experimental; urgency=low

  * New upstream release candidate 4.3.28~rc1
    + Remove 81_fix_compilation_with_OpenSSL_1.1+.patch, fixed upstream.
    + Refresh 75_fix_spelling_errors.patch and
      78_fix_manpage_syntax_errors.patch.
    + debian/copyright: Use version agnostic wildcard path to embedded
      (but unused) copy of c-ares.
  * Add a bunch of new typos found by lintian to
    75_fix_spelling_errors.patch.
  * Add lintian overrides for spelling-error-in-binary false positives,
    where the accused typo can't be found in the source code.

 -- Axel Beckert <abe@debian.org>  Wed, 04 Jan 2017 21:50:46 +0100

xymon (4.3.27-3) unstable; urgency=medium

  * Add patch to fix compilation on GNU/Hurd.

 -- Axel Beckert <abe@debian.org>  Sun, 30 Oct 2016 17:32:28 +0100

xymon (4.3.27-2) unstable; urgency=medium

  * Apply init script patch by Joel Brunenberg to use --pidfile with
    start-stop-daemon to be able distinguish multiple running xymon-client
    daemons (xymonlaunch), e.g. the one on the main host from those in
    containers. (Closes: #819976)
  * Fix two typos found by Lintian in debian/copyright.
  * Add versioned dependency on lsb-base for using /lib/lsb/init-functions
    in the init script.
  * Replace one case of http:// with https:// in d/u/metadata (via DUCK).
  * Remove no more needed debian/source/lintian-overrides.
  * Add patch to fix compilation with OpenSSL 1.1+. (Closes: #828611)

 -- Axel Beckert <abe@debian.org>  Sun, 30 Oct 2016 04:57:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xymon
 Section: net
-Priority: extra
-Maintainer: Christoph Berg <myon@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-apache2,
                dpkg-dev (>= 1.16.1~),
                imagemagick,
@@ -14,10 +15,11 @@
                libssl-dev (>= 1.0.2d-2~),
                po-debconf,
                procps
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xymon.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xymon.git
 Homepage: http://xymon.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: xymon
 Architecture: any
@@ -27,12 +29,13 @@
 Replaces: hobbit (<< 4.2.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: xymon-client (>= 4.3.7-1~),
-# The dependency on perl is only for prename in postinst script
-         perl,
+         lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: apache2 | httpd-cgi
-Suggests: rrdtool
+# The relation with rename is only for file-rename in postinst script
+Suggests: rename,
+          rrdtool
 Description: monitoring system for systems, networks and applications
  Xymon (previously called Hobbit) is a network- and applications-
  monitoring system designed for use in large-scale networks. But it will
@@ -61,6 +64,7 @@
 Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
 Depends: adduser,
          lsb-base,
+         net-tools,
          procps,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

S=$(CURDIR)/debian/xymon
C=$(CURDIR)/debian/xymon-client

%:
	dh $@ --with apache2

override_dh_auto_configure:
	USEXYMONPING=y \
	ENABLESSL=y \
	ENABLELDAP=y \
	ENABLELDAPSSL=y \
	XYMONUSER=xymon \
	XYMONTOPDIR=/usr/lib/xymon \
	XYMONVAR=/var/lib/xymon \
	XYMONHOSTURL=/xymon \
	CGIDIR=/usr/lib/xymon/cgi-bin \
	XYMONCGIURL=/xymon-cgi \
	SECURECGIDIR=/usr/lib/xymon/cgi-secure \
	SECUREXYMONCGIURL=/xymon-seccgi \
	HTTPDGID=www-data \
	XYMONLOGDIR=/var/log/xymon \
	XYMONHOSTNAME=localhost \
	XYMONHOSTIP=127.0.0.1 \
	MANROOT=/usr/share/man \
	INSTALLBINDIR=/usr/lib/xymon/server/bin \
	INSTALLETCDIR=/etc/xymon \
	INSTALLWEBDIR=/etc/xymon/web \
	INSTALLEXTDIR=/usr/lib/xymon/server/ext \
	INSTALLTMPDIR=/var/lib/xymon/tmp \
	INSTALLWWWDIR=/var/lib/xymon/www \
	./configure --server \
	--pcrelib $(shell pcre-config --libs) \
	--ssllib /usr/lib/$(DEB_HOST_MULTIARCH) \
	--ldaplib /usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" PKGBUILD=1 $(MAKE)

override_dh_clean:
	dh_clean
	debconf-updatepo

override_dh_auto_install:
# SERVER
	CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" PKGBUILD=1 INSTALLROOT=$S/ $(MAKE) install
	# Static content in /usr/share
	cd $S/var/lib/xymon/www && \
		mv gifs ../../../../usr/share/xymon && ln -s ../../../../usr/share/xymon/gifs . && \
		mv help ../../../../usr/share/xymon && ln -s ../../../../usr/share/xymon/help .
	# Create static gifs
	cd $S/usr/share/xymon/gifs && mkdir static && \
		for gif in *.gif ; do \
			convert "$$gif[0]" xpm:- | convert xpm:- static/$$gif || exit 1 ; \
		done && \
		cd static && ln -s ../*.ico ../*.css .
	# We depend on the -client package
	rm -rf $S/usr/lib/xymon/client
	# This needs setuid root
	chmod 4755 $S/usr/lib/xymon/server/bin/xymonping
	# Apache 2.4 style stuff, used by implicit dh_apache2, see also debian/xymon.apache2
	mkdir -p debian/tmp
	mv $S/etc/xymon/xymon-apache.conf debian/tmp/xymon.conf
	# We use a modified version of this as /etc/init.d/xymon
	rm $S/usr/lib/xymon/server/xymon.sh
	# Autogenerated on first install
	rm $S/etc/xymon/hosts.cfg
	# Fix permissions in /var/lib/xymon (dh_fixperms ignores /var)
	chmod a-x $S/var/lib/xymon/www/menu/*.gif $S/var/lib/xymon/www/menu/*.css

# CLIENT
	CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" PKGBUILD=1 INSTALLROOT=$C/ $(MAKE) install-client
	cd $C/usr/lib/xymon/client && mv etc/* $C/etc/xymon && rmdir etc && ln -s ../../../../etc/xymon etc
	cd $C/usr/lib/xymon/client && rmdir logs && ln -s ../../../../var/log/xymon logs
	cd $C/usr/lib/xymon/client && rmdir tmp && ln -s ../../../../var/lib/xymon/tmp
	# the only command needed in /usr/bin is xymoncmd, its PATH includes our private .../bin
	cd $C/usr/bin && ln -s ../lib/xymon/client/bin/xymoncmd xymoncmd
	cp debian/xymon-client.default.template $C/usr/share/xymon/xymon-client.default.template
ifneq (,$(findstring kfreebsd,$(shell dpkg --print-architecture)))
	# kfreebsd support
	install -m644 debian/kfreebsd.cfg $C/etc/xymon/xymonclient.d/kfreebsd.cfg
else
	# no kfreebsd support
endif

	dh_movefiles --sourcedir=debian/xymon -a
	set -e; cd $S/usr/lib/xymon/server/bin && \
		for f in * ; do \
			if [ -f $C/usr/lib/xymon/client/bin/$$f ] ; then \
				rm -v $$f ; ln -s ../../client/bin/$$f ; \
			fi \
		done
	rmdir $S/usr/share/man/man7

override_dh_installinit:
	dh_installinit -a -- defaults 98 02

override_dh_fixperms:
	dh_fixperms -a -Xbin/xymonping

## xymon 4.3.29

=== debian/changelog ===
xymon (4.3.29-1) unstable; urgency=high

  * Import new upstream release.
    + Fixes multiple security vulnerabilities:
      - CVE-2019-13451: service overflows histlogfn in history.c.
      - CVE-2019-13452: service overflows histlogfn in reportlog.c.
      - CVE-2019-13273: srdb overflows dbfn in csvinfo.c.
      - CVE-2019-13274: reflected XSS in csvinfo.c.
      - CVE-2019-13455: htmlquoted(hostname) overflows msgline in
        acknowledge.c.
      - CVE-2019-13484: htmlquoted(xymondreq) overflows errtxt appfeed.c.
      - CVE-2019-13485: hostname overflows selfurl in history.c.
      - CVE-2019-13486: htmlquoted(xymondreq) overflows errtxt in
        svcstatus.c.
    + Drop patches applied upstream:
      - 00_htmlcontenttype.patch
      - 39_kfreebsd-makefile.patch
      - 66_apache2.4.patch
      - 84_fix_compilation_on_GNU_Hurd.patch
      - 90_fix-spelling-errors.patch
    + Refresh update patches where necessary:
      - 24_hobbitclient-tmpfs.patch
      - 51_hardening-buildflags.patch
      - 87_fix_logfetch_FTBFS_with_glibc_2.26.patch
    + Add new build-dependency libtirpc-dev.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Replace debian/compat with a versioned b-d on debhelper-compat.

 -- Axel Beckert <abe@debian.org>  Wed, 24 Jul 2019 01:18:17 +0200

xymon (4.3.28-5) unstable; urgency=medium

  * xymon.postinst: Check for file existence before calling chgrp/chmod on
    critical.cfg and critical.cfg.bak. (Closes: #924665, LP: #1819378)

 -- Axel Beckert <abe@debian.org>  Mon, 18 Mar 2019 01:28:51 +0100

xymon (4.3.28-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Update Vcs-* headers for move to Salsa.
  * Override package-contains-documentation-outside-usr-share-doc lintian
    warning for multiple cases of documentation about a directory.
  * Declare compliance with Debian Policy 4.3.0.
    + Install RELEASENOTES file as /usr/share/doc/package/NEWS.gz.
  * Reintroduce MAKEFLAGS=-j1 again as I ran into issues with parallel
    building again, but restrict it to override_dh_auto_build and the
    server's install target in override_dh_auto_install.
  * Fix URL pointing upstream mailing list posting in
    debian/xymon.lintian-overrides. It was pointing to the wrong mail.
  * Make lintian overrides for package-contains-hardlink more generic:
    + Catches future CGI script hardlinks.
    + Independent of which file is regarded as file others are linked to.
    + Reduces amount of lines needed in debian/xymon.lintian-overrides.
  * Ignore squashfs mounts when checking for disk usage. (LP: #1798557)
  * Add patch to fix old spelling errors found by new lintian.
  * Add patch to switch example in analysis.cfg(5) from FSSTND to FHS.
    Fixes lintian warning FSSTND-dir-in-manual-page.
  * Fix existence of debian/docs together with debian/xymon.docs and
    debian/xymon-client.docs by adequately merging the former into the two
    latter files. Reintroduces some upstream documentation which was
    missing for a few years.
    + Install docs/TODO only into the server package "xymon".

  [ Ondřej Nový ]
  * debian/watch: Use HTTPS.

 -- Axel Beckert <abe@debian.org>  Tue, 19 Feb 2019 18:50:07 +0100
